apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: private-bin
spec:
  podManagementPolicy: OrderedReady
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: private-bin
  serviceName: private-bin
  template:
    metadata:
      labels:
        app: private-bin
    spec:
      containers:
      - image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
        imagePullPolicy: "{{ .Values.image.pullPolicy }}"
        name: private-bin
        ports:
        - containerPort: 80
          name: web
          protocol: TCP
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /srv/data
          name: nautilus-rw
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
      volumes:
      - name: nautilus-rw
        cephfs:
          monitors:
          - 10.65.7.203:6789
          - 10.65.7.204:6789
          - 10.65.7.205:6789
          readOnly: false
          path: /private-bin
          user: logs_rw
          secretRef:
            name: ceph-secret
  updateStrategy:
    rollingUpdate:
      partition: 0
    type: RollingUpdate
